# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'C:\Users\Donnie\mach7\fms\fms_model.ui'
#
# Created by: PyQt5 UI code generator 5.5.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.setWindowModality(QtCore.Qt.ApplicationModal)
        Dialog.resize(385, 395)
        Dialog.setMinimumSize(QtCore.QSize(0, 0))
        Dialog.setMaximumSize(QtCore.QSize(16777215, 16777215))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/Images/NASALogo.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        Dialog.setWindowIcon(icon)
        self.gridLayout = QtWidgets.QGridLayout(Dialog)
        self.gridLayout.setObjectName("gridLayout")
        self.tabWidget = QtWidgets.QTabWidget(Dialog)
        self.tabWidget.setObjectName("tabWidget")
        self.tabSettings = QtWidgets.QWidget()
        self.tabSettings.setObjectName("tabSettings")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.tabSettings)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.widget_4 = QtWidgets.QWidget(self.tabSettings)
        self.widget_4.setObjectName("widget_4")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.widget_4)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.doubleSpinBoxStartTime = QtWidgets.QDoubleSpinBox(self.widget_4)
        self.doubleSpinBoxStartTime.setObjectName("doubleSpinBoxStartTime")
        self.gridLayout_9.addWidget(self.doubleSpinBoxStartTime, 1, 6, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_9.addItem(spacerItem, 3, 3, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.widget_4)
        self.label_2.setObjectName("label_2")
        self.gridLayout_9.addWidget(self.label_2, 2, 4, 1, 1)
        self.checkBoxRecordOutput = QtWidgets.QCheckBox(self.widget_4)
        self.checkBoxRecordOutput.setMinimumSize(QtCore.QSize(0, 0))
        self.checkBoxRecordOutput.setObjectName("checkBoxRecordOutput")
        self.gridLayout_9.addWidget(self.checkBoxRecordOutput, 2, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.widget_4)
        self.label.setObjectName("label")
        self.gridLayout_9.addWidget(self.label, 1, 4, 1, 1)
        self.checkBoxRecordInput = QtWidgets.QCheckBox(self.widget_4)
        self.checkBoxRecordInput.setObjectName("checkBoxRecordInput")
        self.gridLayout_9.addWidget(self.checkBoxRecordInput, 1, 1, 1, 1)
        self.doubleSpinBoxEndTime = QtWidgets.QDoubleSpinBox(self.widget_4)
        self.doubleSpinBoxEndTime.setObjectName("doubleSpinBoxEndTime")
        self.gridLayout_9.addWidget(self.doubleSpinBoxEndTime, 2, 6, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.widget_4)
        self.label_3.setObjectName("label_3")
        self.gridLayout_9.addWidget(self.label_3, 3, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.widget_4)
        self.label_4.setObjectName("label_4")
        self.gridLayout_9.addWidget(self.label_4, 3, 4, 1, 1)
        self.doubleSpinBoxPtsXfrTime = QtWidgets.QDoubleSpinBox(self.widget_4)
        self.doubleSpinBoxPtsXfrTime.setObjectName("doubleSpinBoxPtsXfrTime")
        self.gridLayout_9.addWidget(self.doubleSpinBoxPtsXfrTime, 3, 2, 1, 1)
        self.doubleSpinBoxDeltaTime = QtWidgets.QDoubleSpinBox(self.widget_4)
        self.doubleSpinBoxDeltaTime.setObjectName("doubleSpinBoxDeltaTime")
        self.gridLayout_9.addWidget(self.doubleSpinBoxDeltaTime, 3, 6, 1, 1)
        self.gridLayout_8.addWidget(self.widget_4, 5, 0, 1, 1)
        self.widget_5 = QtWidgets.QWidget(self.tabSettings)
        self.widget_5.setObjectName("widget_5")
        self.gridLayout_13 = QtWidgets.QGridLayout(self.widget_5)
        self.gridLayout_13.setObjectName("gridLayout_13")
        self.label_12 = QtWidgets.QLabel(self.widget_5)
        self.label_12.setObjectName("label_12")
        self.gridLayout_13.addWidget(self.label_12, 2, 0, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.widget_5)
        self.label_5.setObjectName("label_5")
        self.gridLayout_13.addWidget(self.label_5, 2, 1, 1, 1)
        self.lineEditArgs = QtWidgets.QLineEdit(self.widget_5)
        self.lineEditArgs.setObjectName("lineEditArgs")
        self.gridLayout_13.addWidget(self.lineEditArgs, 3, 1, 1, 1)
        self.comboBox = QtWidgets.QComboBox(self.widget_5)
        self.comboBox.setObjectName("comboBox")
        self.gridLayout_13.addWidget(self.comboBox, 3, 0, 1, 1)
        self.gridLayout_8.addWidget(self.widget_5, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tabSettings, "")
        self.tabRevision = QtWidgets.QWidget()
        self.tabRevision.setObjectName("tabRevision")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.tabRevision)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.widget_6 = QtWidgets.QWidget(self.tabRevision)
        self.widget_6.setObjectName("widget_6")
        self.gridLayout_14 = QtWidgets.QGridLayout(self.widget_6)
        self.gridLayout_14.setObjectName("gridLayout_14")
        self.widget_2 = QtWidgets.QWidget(self.widget_6)
        self.widget_2.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.widget_2.setObjectName("widget_2")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.widget_2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.radioButtonRevision = QtWidgets.QRadioButton(self.widget_2)
        self.radioButtonRevision.setMaximumSize(QtCore.QSize(65, 16777215))
        self.radioButtonRevision.setObjectName("radioButtonRevision")
        self.gridLayout_4.addWidget(self.radioButtonRevision, 3, 0, 1, 1)
        self.radioButtonMine = QtWidgets.QRadioButton(self.widget_2)
        self.radioButtonMine.setObjectName("radioButtonMine")
        self.gridLayout_4.addWidget(self.radioButtonMine, 1, 0, 1, 2)
        self.lineEdit = QtWidgets.QLineEdit(self.widget_2)
        self.lineEdit.setMaximumSize(QtCore.QSize(40, 16777215))
        self.lineEdit.setObjectName("lineEdit")
        self.gridLayout_4.addWidget(self.lineEdit, 3, 1, 1, 1)
        self.radioButtonHead = QtWidgets.QRadioButton(self.widget_2)
        self.radioButtonHead.setObjectName("radioButtonHead")
        self.gridLayout_4.addWidget(self.radioButtonHead, 2, 0, 1, 2)
        self.gridLayout_14.addWidget(self.widget_2, 0, 0, 1, 1)
        self.widget_3 = QtWidgets.QWidget(self.widget_6)
        self.widget_3.setObjectName("widget_3")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.widget_3)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.radioButtonBranches = QtWidgets.QRadioButton(self.widget_3)
        self.radioButtonBranches.setObjectName("radioButtonBranches")
        self.gridLayout_5.addWidget(self.radioButtonBranches, 1, 0, 1, 1)
        self.radioButtonTrunk = QtWidgets.QRadioButton(self.widget_3)
        self.radioButtonTrunk.setObjectName("radioButtonTrunk")
        self.gridLayout_5.addWidget(self.radioButtonTrunk, 0, 0, 1, 1)
        self.radioButtonTags = QtWidgets.QRadioButton(self.widget_3)
        self.radioButtonTags.setObjectName("radioButtonTags")
        self.gridLayout_5.addWidget(self.radioButtonTags, 2, 0, 1, 1)
        self.comboBoxTags = QtWidgets.QComboBox(self.widget_3)
        self.comboBoxTags.setObjectName("comboBoxTags")
        self.gridLayout_5.addWidget(self.comboBoxTags, 2, 1, 1, 1)
        self.gridLayout_14.addWidget(self.widget_3, 0, 1, 1, 1)
        self.gridLayout_2.addWidget(self.widget_6, 3, 0, 1, 1)
        self.widget_7 = QtWidgets.QWidget(self.tabRevision)
        self.widget_7.setObjectName("widget_7")
        self.gridLayout_15 = QtWidgets.QGridLayout(self.widget_7)
        self.gridLayout_15.setObjectName("gridLayout_15")
        self.lineEditUnitTestPath = QtWidgets.QLineEdit(self.widget_7)
        self.lineEditUnitTestPath.setObjectName("lineEditUnitTestPath")
        self.gridLayout_15.addWidget(self.lineEditUnitTestPath, 3, 1, 1, 1)
        self.lineEditWorkingCopyPath = QtWidgets.QLineEdit(self.widget_7)
        self.lineEditWorkingCopyPath.setObjectName("lineEditWorkingCopyPath")
        self.gridLayout_15.addWidget(self.lineEditWorkingCopyPath, 1, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(self.widget_7)
        self.label_13.setObjectName("label_13")
        self.gridLayout_15.addWidget(self.label_13, 1, 0, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.widget_7)
        self.label_14.setObjectName("label_14")
        self.gridLayout_15.addWidget(self.label_14, 3, 0, 1, 1)
        self.gridLayout_2.addWidget(self.widget_7, 4, 0, 1, 1)
        self.tabWidget.addTab(self.tabRevision, "")
        self.tabRINU = QtWidgets.QWidget()
        self.tabRINU.setObjectName("tabRINU")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.tabRINU)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.groupBox_2 = QtWidgets.QGroupBox(self.tabRINU)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_12 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_12.setObjectName("gridLayout_12")
        self.checkBoxRINUBPowerFailure = QtWidgets.QCheckBox(self.groupBox_2)
        self.checkBoxRINUBPowerFailure.setObjectName("checkBoxRINUBPowerFailure")
        self.gridLayout_12.addWidget(self.checkBoxRINUBPowerFailure, 0, 0, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.groupBox_2)
        self.label_9.setObjectName("label_9")
        self.gridLayout_12.addWidget(self.label_9, 0, 2, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_12.addItem(spacerItem1, 0, 1, 1, 1)
        self.comboBoxRINUBFailureType = QtWidgets.QComboBox(self.groupBox_2)
        self.comboBoxRINUBFailureType.setObjectName("comboBoxRINUBFailureType")
        self.gridLayout_12.addWidget(self.comboBoxRINUBFailureType, 0, 3, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_2)
        self.label_10.setObjectName("label_10")
        self.gridLayout_12.addWidget(self.label_10, 1, 0, 1, 1)
        self.doubleSpinBoxRINUBFualtHoldTime = QtWidgets.QDoubleSpinBox(self.groupBox_2)
        self.doubleSpinBoxRINUBFualtHoldTime.setObjectName("doubleSpinBoxRINUBFualtHoldTime")
        self.gridLayout_12.addWidget(self.doubleSpinBoxRINUBFualtHoldTime, 1, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.groupBox_2)
        self.label_11.setObjectName("label_11")
        self.gridLayout_12.addWidget(self.label_11, 1, 2, 1, 1)
        self.doubleSpinBoxRINUBFailTime = QtWidgets.QDoubleSpinBox(self.groupBox_2)
        self.doubleSpinBoxRINUBFailTime.setObjectName("doubleSpinBoxRINUBFailTime")
        self.gridLayout_12.addWidget(self.doubleSpinBoxRINUBFailTime, 1, 3, 1, 1)
        self.gridLayout_10.addWidget(self.groupBox_2, 1, 0, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(self.tabRINU)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.checkBoxRINUAPowerFailure = QtWidgets.QCheckBox(self.groupBox)
        self.checkBoxRINUAPowerFailure.setObjectName("checkBoxRINUAPowerFailure")
        self.gridLayout_11.addWidget(self.checkBoxRINUAPowerFailure, 0, 0, 1, 1)
        self.comboBoxRINUAFaultureType = QtWidgets.QComboBox(self.groupBox)
        self.comboBoxRINUAFaultureType.setObjectName("comboBoxRINUAFaultureType")
        self.gridLayout_11.addWidget(self.comboBoxRINUAFaultureType, 0, 3, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.groupBox)
        self.label_6.setObjectName("label_6")
        self.gridLayout_11.addWidget(self.label_6, 0, 2, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout_11.addWidget(self.label_7, 2, 0, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_11.addItem(spacerItem2, 0, 1, 1, 1)
        self.doubleSpinBoxRINUAFaultHoldTime = QtWidgets.QDoubleSpinBox(self.groupBox)
        self.doubleSpinBoxRINUAFaultHoldTime.setObjectName("doubleSpinBoxRINUAFaultHoldTime")
        self.gridLayout_11.addWidget(self.doubleSpinBoxRINUAFaultHoldTime, 2, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.groupBox)
        self.label_8.setObjectName("label_8")
        self.gridLayout_11.addWidget(self.label_8, 2, 2, 1, 1)
        self.doubleSpinBoxRINUAFailTime = QtWidgets.QDoubleSpinBox(self.groupBox)
        self.doubleSpinBoxRINUAFailTime.setObjectName("doubleSpinBoxRINUAFailTime")
        self.gridLayout_11.addWidget(self.doubleSpinBoxRINUAFailTime, 2, 3, 1, 1)
        self.gridLayout_10.addWidget(self.groupBox, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tabRINU, "")
        self.tabInputs = QtWidgets.QWidget()
        self.tabInputs.setObjectName("tabInputs")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.tabInputs)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.tableViewInputs = QtWidgets.QTableView(self.tabInputs)
        self.tableViewInputs.setObjectName("tableViewInputs")
        self.gridLayout_6.addWidget(self.tableViewInputs, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tabInputs, "")
        self.tabOutputs = QtWidgets.QWidget()
        self.tabOutputs.setObjectName("tabOutputs")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.tabOutputs)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.tableViewOutputs = QtWidgets.QTableView(self.tabOutputs)
        self.tableViewOutputs.setObjectName("tableViewOutputs")
        self.gridLayout_7.addWidget(self.tableViewOutputs, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tabOutputs, "")
        self.gridLayout.addWidget(self.tabWidget, 3, 1, 1, 1)
        self.widget_11 = QtWidgets.QWidget(Dialog)
        self.widget_11.setObjectName("widget_11")
        self.gridLayout_18 = QtWidgets.QGridLayout(self.widget_11)
        self.gridLayout_18.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_18.setSpacing(0)
        self.gridLayout_18.setObjectName("gridLayout_18")
        spacerItem3 = QtWidgets.QSpacerItem(343, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_18.addItem(spacerItem3, 0, 1, 1, 1)
        self.toolButtonAdvanced = QtWidgets.QToolButton(self.widget_11)
        self.toolButtonAdvanced.setObjectName("toolButtonAdvanced")
        self.gridLayout_18.addWidget(self.toolButtonAdvanced, 0, 2, 1, 1)
        self.checkBoxViewOutput = QtWidgets.QCheckBox(self.widget_11)
        self.checkBoxViewOutput.setObjectName("checkBoxViewOutput")
        self.gridLayout_18.addWidget(self.checkBoxViewOutput, 0, 0, 1, 1)
        self.gridLayout.addWidget(self.widget_11, 2, 1, 1, 1)
        self.widget = QtWidgets.QWidget(Dialog)
        self.widget.setObjectName("widget")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.widget)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.pushButtonSave = QtWidgets.QPushButton(self.widget)
        self.pushButtonSave.setObjectName("pushButtonSave")
        self.gridLayout_3.addWidget(self.pushButtonSave, 2, 2, 1, 1)
        self.pushButtonRemove = QtWidgets.QPushButton(self.widget)
        self.pushButtonRemove.setObjectName("pushButtonRemove")
        self.gridLayout_3.addWidget(self.pushButtonRemove, 2, 3, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_3.addItem(spacerItem4, 2, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem5, 1, 3, 1, 1)
        self.pushButtonEdit = QtWidgets.QPushButton(self.widget)
        self.pushButtonEdit.setObjectName("pushButtonEdit")
        self.gridLayout_3.addWidget(self.pushButtonEdit, 2, 0, 1, 1)
        self.gridLayout.addWidget(self.widget, 4, 1, 1, 1)
        self.widget_8 = QtWidgets.QWidget(Dialog)
        self.widget_8.setMinimumSize(QtCore.QSize(0, 75))
        self.widget_8.setObjectName("widget_8")
        self.gridLayout_16 = QtWidgets.QGridLayout(self.widget_8)
        self.gridLayout_16.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_16.setObjectName("gridLayout_16")
        self.widget_10 = QtWidgets.QWidget(self.widget_8)
        self.widget_10.setObjectName("widget_10")
        self.gridLayout_19 = QtWidgets.QGridLayout(self.widget_10)
        self.gridLayout_19.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_19.setSpacing(0)
        self.gridLayout_19.setObjectName("gridLayout_19")
        self.progressBar = QtWidgets.QProgressBar(self.widget_10)
        self.progressBar.setMaximumSize(QtCore.QSize(16777215, 10))
        self.progressBar.setProperty("value", 0)
        self.progressBar.setTextVisible(False)
        self.progressBar.setObjectName("progressBar")
        self.gridLayout_19.addWidget(self.progressBar, 1, 1, 1, 1)
        self.labelStatus = QtWidgets.QLabel(self.widget_10)
        self.labelStatus.setObjectName("labelStatus")
        self.gridLayout_19.addWidget(self.labelStatus, 0, 0, 1, 2)
        self.gridLayout_16.addWidget(self.widget_10, 4, 1, 1, 1)
        self.widget_9 = QtWidgets.QWidget(self.widget_8)
        self.widget_9.setObjectName("widget_9")
        self.gridLayout_17 = QtWidgets.QGridLayout(self.widget_9)
        self.gridLayout_17.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_17.setSpacing(0)
        self.gridLayout_17.setObjectName("gridLayout_17")
        self.label_15 = QtWidgets.QLabel(self.widget_9)
        self.label_15.setObjectName("label_15")
        self.gridLayout_17.addWidget(self.label_15, 0, 0, 1, 1)
        self.labelModelID = QtWidgets.QLabel(self.widget_9)
        self.labelModelID.setObjectName("labelModelID")
        self.gridLayout_17.addWidget(self.labelModelID, 0, 1, 1, 1)
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_17.addItem(spacerItem6, 0, 2, 1, 1)
        self.labelRevisionID = QtWidgets.QLabel(self.widget_9)
        self.labelRevisionID.setObjectName("labelRevisionID")
        self.gridLayout_17.addWidget(self.labelRevisionID, 2, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.widget_9)
        self.label_17.setObjectName("label_17")
        self.gridLayout_17.addWidget(self.label_17, 2, 0, 1, 1)
        spacerItem7 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_17.addItem(spacerItem7, 2, 2, 1, 1)
        self.radioButtonSharedMemoryMode = QtWidgets.QRadioButton(self.widget_9)
        self.radioButtonSharedMemoryMode.setObjectName("radioButtonSharedMemoryMode")
        self.gridLayout_17.addWidget(self.radioButtonSharedMemoryMode, 2, 3, 1, 1)
        self.radioButtonUnitTestMode = QtWidgets.QRadioButton(self.widget_9)
        self.radioButtonUnitTestMode.setObjectName("radioButtonUnitTestMode")
        self.gridLayout_17.addWidget(self.radioButtonUnitTestMode, 0, 3, 1, 1)
        self.gridLayout_16.addWidget(self.widget_9, 0, 1, 1, 1)
        self.gridLayout.addWidget(self.widget_8, 1, 1, 1, 1)

        self.retranslateUi(Dialog)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "PDCU"))
        self.label_2.setText(_translate("Dialog", "End Time:"))
        self.checkBoxRecordOutput.setText(_translate("Dialog", "Record Output"))
        self.label.setText(_translate("Dialog", "Start Time:"))
        self.checkBoxRecordInput.setText(_translate("Dialog", "Record Input"))
        self.label_3.setText(_translate("Dialog", "Pts Transfer Time:"))
        self.label_4.setText(_translate("Dialog", "Delta Time:"))
        self.label_12.setText(_translate("Dialog", "ID:"))
        self.label_5.setText(_translate("Dialog", "Runtime Arguments:"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabSettings), _translate("Dialog", "Settings"))
        self.radioButtonRevision.setText(_translate("Dialog", "Revision"))
        self.radioButtonMine.setText(_translate("Dialog", "Mine (working copy)"))
        self.radioButtonHead.setText(_translate("Dialog", "Head (svn update)"))
        self.radioButtonBranches.setText(_translate("Dialog", "Branches"))
        self.radioButtonTrunk.setText(_translate("Dialog", "Trunk"))
        self.radioButtonTags.setText(_translate("Dialog", "Tags:"))
        self.label_13.setText(_translate("Dialog", "Working Copy:"))
        self.label_14.setText(_translate("Dialog", "Unit Test Files:"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabRevision), _translate("Dialog", "Revision"))
        self.groupBox_2.setTitle(_translate("Dialog", "RINU B"))
        self.checkBoxRINUBPowerFailure.setText(_translate("Dialog", "Power Failure"))
        self.label_9.setText(_translate("Dialog", "Failure Type:"))
        self.label_10.setText(_translate("Dialog", "Fault Hold Time:"))
        self.label_11.setText(_translate("Dialog", "Fail Time:"))
        self.groupBox.setTitle(_translate("Dialog", "RINU A"))
        self.checkBoxRINUAPowerFailure.setText(_translate("Dialog", "Power Failure"))
        self.label_6.setText(_translate("Dialog", "Failure Type:"))
        self.label_7.setText(_translate("Dialog", "Fault Hold Time:"))
        self.label_8.setText(_translate("Dialog", "Fail Time:"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabRINU), _translate("Dialog", "RINU"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabInputs), _translate("Dialog", "Inputs"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabOutputs), _translate("Dialog", "Outputs"))
        self.toolButtonAdvanced.setText(_translate("Dialog", "Advanced"))
        self.checkBoxViewOutput.setText(_translate("Dialog", "View Output Window"))
        self.pushButtonSave.setToolTip(_translate("Dialog", "Save the configuration for this model"))
        self.pushButtonSave.setText(_translate("Dialog", "Save"))
        self.pushButtonRemove.setToolTip(_translate("Dialog", "Remove this model from the simulation"))
        self.pushButtonRemove.setText(_translate("Dialog", "Remove"))
        self.pushButtonEdit.setText(_translate("Dialog", "Edit Settings"))
        self.progressBar.setFormat(_translate("Dialog", "%p%"))
        self.labelStatus.setText(_translate("Dialog", "Status"))
        self.label_15.setText(_translate("Dialog", "Model: "))
        self.labelModelID.setText(_translate("Dialog", "PDCU 1"))
        self.labelRevisionID.setText(_translate("Dialog", "100"))
        self.label_17.setText(_translate("Dialog", "Revision: "))
        self.radioButtonSharedMemoryMode.setText(_translate("Dialog", "Shared Memory Mode"))
        self.radioButtonUnitTestMode.setText(_translate("Dialog", "Unit Test Mode"))

import fms_gui_rc_rc

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    Dialog = QtWidgets.QDialog()
    ui = Ui_Dialog()
    ui.setupUi(Dialog)
    Dialog.show()
    sys.exit(app.exec_())

